SerialList Class Reference

SerialList class contains all serial devices on host. More...

`#include <SerialList.h>`

## Public Member Functions

| SerialList ()
| Generated standard constructor.
virtual | ~SerialList ()
| Generated standard destructor.
SerialDevice | GetDevice (int index)
| Get SerialDevice variable at specified index.
size_t | GetDeviceCount ()
| Get the number of devices in the list.
int | FindSerialDevice (SerialDevice device)
| Find whether the specified device is in the list.
void | ScanSerialDevices ()
| Scan all COM port hardware on the host.
void | SortSerialDevices ()
| Sort all devices in the list as ascending order.

## Detailed Description

SerialList class contains all serial devices on host.

The documentation for this class was generated from the following files:

- SerialList.h
- SerialList.cpp